
Foreman - Bug #33626

Allow foreman plugins to use webpack

10/04/2021 02:18 PM - Bernhard Suttner

Status: Closed   

Priority: Normal   

Assignee: Bernhard Suttner   

Category: Plugin integration   

Target version:    

Difficulty:  Fixed in Releases: 3.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8810

  

Description

Currently, webpack for js does only handle directories for plugins which

- start with foreman or katello

- don't end with core

It should be possible to specify in a plugin directly, if they should be handled by plugin_webpack_directories.rb or not.

Associated revisions

Revision 4cc19f6c - 10/21/2021 01:12 PM - Bernhard Suttner

Fixes #33626 - use webpack for foreman plugin gems

A plugin can specify by the following line in the gemspec that it is

really a foreman plugin:

s.metadata    = { "is_foreman_plugin" => "true" }

History

#1 - 10/04/2021 02:21 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Bernhard Suttner

- Pull request https://github.com/theforeman/foreman/pull/8810 added

#2 - 10/21/2021 01:12 PM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#3 - 10/21/2021 02:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|4cc19f6c41da3ce5071a3ca16413a4bb157c3d83.

#4 - 11/16/2021 10:53 AM - Amit Upadhye

- Category set to Plugin integration
